Latest 2.2.0
Homepage https://github.com/WxWatch/DragonService
License MIT
Platforms ios 8.0, osx 10.10, watchos 2.0, tvos 9.0
Dependencies Alamofire

Build Status
Cocoapods
Cocoapods
Cocoapods

DragonService is a Swift library to fetch data from Riot Games’s DataDragon CDN.

Requirements

  • Swift 4.0+

Installation

CocoaPods

CocoaPods is a dependency manager for Cocoa projects. You can install it with the following command:

$ gem install cocoapods

CocoaPods 1.1+ is required to build DragonService.

To integrate DragonService into your Xcode project using CocoaPods, specify it in your Podfile:

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '12.0'
use_frameworks!

target '<Your Target Name>' do
    pod 'DragonService'
end

Then, run the following command:

$ pod install

License

DragonService is released under the MIT license. See LICENSE for details.

Latest podspec

{
    "name": "DragonService",
    "version": "2.2.0",
    "summary": "A library to fetch data from Data Dragon.",
    "description": "A Swift library designed to fetch League of Legends static data from Riot Games DataDragon CDN.",
    "homepage": "https://github.com/WxWatch/DragonService",
    "license": "MIT",
    "authors": "WxWatch",
    "platforms": {
        "ios": "8.0",
        "osx": "10.10",
        "watchos": "2.0",
        "tvos": "9.0"
    },
    "source": {
        "git": "https://github.com/WxWatch/DragonService.git",
        "tag": "2.2.0"
    },
    "source_files": "Sources/**/*.swift",
    "dependencies": {
        "Alamofire": [
            "~> 4.7"
        ]
    },
    "swift_version": "4.2"
}

Pin It on Pinterest

Share This